Merge from mainline.
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2013 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module at-internal:
44 # Code from module binary-io:
45 # Code from module byteswap:
46 # Code from module c-ctype:
47 # Code from module c-strcase:
48 # Code from module careadlinkat:
49 # Code from module clock-time:
50 # Code from module close-stream:
51 # Code from module count-one-bits:
52 # Code from module count-trailing-zeros:
53 # Code from module crypto/md5:
54 # Code from module crypto/sha1:
55 # Code from module crypto/sha256:
56 # Code from module crypto/sha512:
57 # Code from module dirent:
58 # Code from module dosname:
59 # Code from module dtoastr:
60 # Code from module dtotimespec:
61 # Code from module dup2:
62 # Code from module environ:
63 # Code from module errno:
64 # Code from module euidaccess:
65 # Code from module execinfo:
66 # Code from module extensions:
67 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
68 # Code from module extern-inline:
69 # Code from module faccessat:
70 # Code from module fcntl:
71 # Code from module fcntl-h:
72 # Code from module fdatasync:
73 # Code from module fdopendir:
74 # Code from module filemode:
75 # Code from module fpending:
76 # Code from module fstatat:
77 # Code from module fsync:
78 # Code from module getdtablesize:
79 # Code from module getgroups:
80 # Code from module getloadavg:
81 # Code from module getopt-gnu:
82 # Code from module getopt-posix:
83 # Code from module gettext-h:
84 # Code from module gettime:
85 # Code from module gettimeofday:
86 # Code from module group-member:
87 # Code from module include_next:
88 # Code from module intprops:
89 # Code from module inttypes-incomplete:
90 # Code from module largefile:
91 AC_REQUIRE([AC_SYS_LARGEFILE])
92 # Code from module lstat:
93 # Code from module manywarnings:
94 # Code from module memrchr:
95 # Code from module mkostemp:
96 # Code from module mktime:
97 # Code from module multiarch:
98 # Code from module nocrash:
99 # Code from module openat-h:
100 # Code from module pathmax:
101 # Code from module pipe2:
102 # Code from module pselect:
103 # Code from module pthread_sigmask:
104 # Code from module putenv:
105 # Code from module qacl:
106 # Code from module readlink:
107 # Code from module readlinkat:
108 # Code from module root-uid:
109 # Code from module secure_getenv:
110 # Code from module sig2str:
111 # Code from module signal-h:
112 # Code from module snippet/_Noreturn:
113 # Code from module snippet/arg-nonnull:
114 # Code from module snippet/c++defs:
115 # Code from module snippet/warn-on-use:
116 # Code from module socklen:
117 # Code from module ssize_t:
118 # Code from module stat:
119 # Code from module stat-time:
120 # Code from module stdalign:
121 # Code from module stdarg:
122 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
123 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
124 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
125 dnl shouldn't hurt, though installers are on their own to set c99 mode.
126 gl_PROG_CC_C99
127 # Code from module stdbool:
128 # Code from module stddef:
129 # Code from module stdint:
130 # Code from module stdio:
131 # Code from module stdlib:
132 # Code from module strftime:
133 # Code from module string:
134 # Code from module strtoimax:
135 # Code from module strtoll:
136 # Code from module strtoull:
137 # Code from module strtoumax:
138 # Code from module symlink:
139 # Code from module sys_select:
140 # Code from module sys_stat:
141 # Code from module sys_time:
142 # Code from module tempname:
143 # Code from module time:
144 # Code from module time_r:
145 # Code from module timer-time:
146 # Code from module timespec:
147 # Code from module timespec-add:
148 # Code from module timespec-sub:
149 # Code from module u64:
150 # Code from module unistd:
151 # Code from module unsetenv:
152 # Code from module utimens:
153 # Code from module verify:
154 # Code from module warnings:
155 # Code from module xalloc-oversized:
156 ])
157
158 # This macro should be invoked from ./configure.ac, in the section
159 # "Check for header files, types and library functions".
160 AC_DEFUN([gl_INIT],
161 [
162 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
163 gl_cond_libtool=false
164 gl_libdeps=
165 gl_ltlibdeps=
166 gl_m4_base='m4'
167 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
168 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
169 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
170 m4_pushdef([gl_LIBSOURCES_LIST], [])
171 m4_pushdef([gl_LIBSOURCES_DIR], [])
172 gl_COMMON
173 gl_source_base='lib'
174 gl_FUNC_ALLOCA
175 gl_BYTESWAP
176 AC_CHECK_FUNCS_ONCE([readlinkat])
177 gl_CLOCK_TIME
178 gl_CLOSE_STREAM
179 gl_MODULE_INDICATOR([close-stream])
180 gl_COUNT_ONE_BITS
181 gl_COUNT_TRAILING_ZEROS
182 gl_MD5
183 gl_SHA1
184 gl_SHA256
185 gl_SHA512
186 gl_DIRENT_H
187 AC_REQUIRE([gl_C99_STRTOLD])
188 gl_FUNC_DUP2
189 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
190 AC_LIBOBJ([dup2])
191 gl_PREREQ_DUP2
192 fi
193 gl_UNISTD_MODULE_INDICATOR([dup2])
194 gl_ENVIRON
195 gl_UNISTD_MODULE_INDICATOR([environ])
196 gl_HEADER_ERRNO_H
197 gl_EXECINFO_H
198 AC_REQUIRE([gl_EXTERN_INLINE])
199 gl_FUNC_FACCESSAT
200 if test $HAVE_FACCESSAT = 0; then
201 AC_LIBOBJ([faccessat])
202 gl_PREREQ_FACCESSAT
203 fi
204 gl_MODULE_INDICATOR([faccessat])
205 gl_UNISTD_MODULE_INDICATOR([faccessat])
206 gl_FUNC_FCNTL
207 if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
208 AC_LIBOBJ([fcntl])
209 fi
210 gl_FCNTL_MODULE_INDICATOR([fcntl])
211 gl_FCNTL_H
212 gl_FUNC_FDATASYNC
213 if test $HAVE_FDATASYNC = 0; then
214 AC_LIBOBJ([fdatasync])
215 fi
216 gl_UNISTD_MODULE_INDICATOR([fdatasync])
217 gl_FUNC_FDOPENDIR
218 if test $HAVE_FDOPENDIR = 0 || test $REPLACE_FDOPENDIR = 1; then
219 AC_LIBOBJ([fdopendir])
220 fi
221 gl_DIRENT_MODULE_INDICATOR([fdopendir])
222 gl_MODULE_INDICATOR([fdopendir])
223 gl_FILEMODE
224 gl_FUNC_FPENDING
225 if test $gl_cv_func___fpending = no; then
226 AC_LIBOBJ([fpending])
227 gl_PREREQ_FPENDING
228 fi
229 gl_FUNC_FSTATAT
230 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
231 AC_LIBOBJ([fstatat])
232 fi
233 gl_SYS_STAT_MODULE_INDICATOR([fstatat])
234 gl_FUNC_FSYNC
235 if test $HAVE_FSYNC = 0; then
236 AC_LIBOBJ([fsync])
237 gl_PREREQ_FSYNC
238 fi
239 gl_UNISTD_MODULE_INDICATOR([fsync])
240 gl_GETLOADAVG
241 if test $HAVE_GETLOADAVG = 0; then
242 AC_LIBOBJ([getloadavg])
243 gl_PREREQ_GETLOADAVG
244 fi
245 gl_STDLIB_MODULE_INDICATOR([getloadavg])
246 gl_FUNC_GETOPT_GNU
247 if test $REPLACE_GETOPT = 1; then
248 AC_LIBOBJ([getopt])
249 AC_LIBOBJ([getopt1])
250 gl_PREREQ_GETOPT
251 dnl Arrange for unistd.h to include getopt.h.
252 GNULIB_GL_UNISTD_H_GETOPT=1
253 fi
254 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
255 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
256 gl_FUNC_GETOPT_POSIX
257 if test $REPLACE_GETOPT = 1; then
258 AC_LIBOBJ([getopt])
259 AC_LIBOBJ([getopt1])
260 gl_PREREQ_GETOPT
261 dnl Arrange for unistd.h to include getopt.h.
262 GNULIB_GL_UNISTD_H_GETOPT=1
263 fi
264 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
265 gl_GETTIME
266 gl_FUNC_GETTIMEOFDAY
267 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
268 AC_LIBOBJ([gettimeofday])
269 gl_PREREQ_GETTIMEOFDAY
270 fi
271 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
272 gl_INTTYPES_INCOMPLETE
273 AC_REQUIRE([gl_LARGEFILE])
274 gl_FUNC_LSTAT
275 if test $REPLACE_LSTAT = 1; then
276 AC_LIBOBJ([lstat])
277 gl_PREREQ_LSTAT
278 fi
279 gl_SYS_STAT_MODULE_INDICATOR([lstat])
280 gl_FUNC_MEMRCHR
281 if test $ac_cv_func_memrchr = no; then
282 AC_LIBOBJ([memrchr])
283 gl_PREREQ_MEMRCHR
284 fi
285 gl_STRING_MODULE_INDICATOR([memrchr])
286 gl_FUNC_MKOSTEMP
287 if test $HAVE_MKOSTEMP = 0; then
288 AC_LIBOBJ([mkostemp])
289 gl_PREREQ_MKOSTEMP
290 fi
291 gl_MODULE_INDICATOR([mkostemp])
292 gl_STDLIB_MODULE_INDICATOR([mkostemp])
293 gl_FUNC_MKTIME
294 if test $REPLACE_MKTIME = 1; then
295 AC_LIBOBJ([mktime])
296 gl_PREREQ_MKTIME
297 fi
298 gl_TIME_MODULE_INDICATOR([mktime])
299 gl_MULTIARCH
300 gl_FUNC_PIPE2
301 gl_UNISTD_MODULE_INDICATOR([pipe2])
302 gl_FUNC_PSELECT
303 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
304 AC_LIBOBJ([pselect])
305 fi
306 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
307 gl_FUNC_PTHREAD_SIGMASK
308 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
309 AC_LIBOBJ([pthread_sigmask])
310 gl_PREREQ_PTHREAD_SIGMASK
311 fi
312 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
313 gl_FUNC_PUTENV
314 if test $REPLACE_PUTENV = 1; then
315 AC_LIBOBJ([putenv])
316 gl_PREREQ_PUTENV
317 fi
318 gl_STDLIB_MODULE_INDICATOR([putenv])
319 gl_FUNC_ACL
320 gl_FUNC_READLINK
321 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
322 AC_LIBOBJ([readlink])
323 gl_PREREQ_READLINK
324 fi
325 gl_UNISTD_MODULE_INDICATOR([readlink])
326 gl_FUNC_READLINKAT
327 if test $HAVE_READLINKAT = 0; then
328 AC_LIBOBJ([readlinkat])
329 fi
330 gl_UNISTD_MODULE_INDICATOR([readlinkat])
331 gl_FUNC_SIG2STR
332 if test $ac_cv_func_sig2str = no; then
333 AC_LIBOBJ([sig2str])
334 gl_PREREQ_SIG2STR
335 fi
336 gl_SIGNAL_H
337 gl_TYPE_SOCKLEN_T
338 gt_TYPE_SSIZE_T
339 gl_STAT_TIME
340 gl_STAT_BIRTHTIME
341 gl_STDALIGN_H
342 gl_STDARG_H
343 AM_STDBOOL_H
344 gl_STDDEF_H
345 gl_STDINT_H
346 gl_STDIO_H
347 gl_STDLIB_H
348 gl_FUNC_GNU_STRFTIME
349 gl_HEADER_STRING_H
350 gl_FUNC_STRTOIMAX
351 if test $HAVE_DECL_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
352 AC_LIBOBJ([strtoimax])
353 gl_PREREQ_STRTOIMAX
354 fi
355 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
356 gl_FUNC_STRTOUMAX
357 if test $HAVE_DECL_STRTOUMAX = 0 || test $REPLACE_STRTOUMAX = 1; then
358 AC_LIBOBJ([strtoumax])
359 gl_PREREQ_STRTOUMAX
360 fi
361 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
362 gl_FUNC_SYMLINK
363 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
364 AC_LIBOBJ([symlink])
365 fi
366 gl_UNISTD_MODULE_INDICATOR([symlink])
367 gl_HEADER_SYS_SELECT
368 AC_PROG_MKDIR_P
369 gl_HEADER_SYS_STAT_H
370 AC_PROG_MKDIR_P
371 gl_HEADER_SYS_TIME_H
372 AC_PROG_MKDIR_P
373 gl_HEADER_TIME_H
374 gl_TIME_R
375 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
376 AC_LIBOBJ([time_r])
377 gl_PREREQ_TIME_R
378 fi
379 gl_TIME_MODULE_INDICATOR([time_r])
380 gl_TIMER_TIME
381 gl_TIMESPEC
382 gl_UNISTD_H
383 gl_FUNC_UNSETENV
384 if test $HAVE_UNSETENV = 0 || test $REPLACE_UNSETENV = 1; then
385 AC_LIBOBJ([unsetenv])
386 gl_PREREQ_UNSETENV
387 fi
388 gl_STDLIB_MODULE_INDICATOR([unsetenv])
389 gl_UTIMENS
390 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=false
391 gl_gnulib_enabled_dosname=false
392 gl_gnulib_enabled_euidaccess=false
393 gl_gnulib_enabled_getdtablesize=false
394 gl_gnulib_enabled_getgroups=false
395 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
396 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
397 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=false
398 gl_gnulib_enabled_pathmax=false
399 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
400 gl_gnulib_enabled_secure_getenv=false
401 gl_gnulib_enabled_stat=false
402 gl_gnulib_enabled_strtoll=false
403 gl_gnulib_enabled_strtoull=false
404 gl_gnulib_enabled_tempname=false
405 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
406 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b ()
407 {
408 if ! $gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b; then
409 AC_LIBOBJ([openat-proc])
410 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=true
411 fi
412 }
413 func_gl_gnulib_m4code_dosname ()
414 {
415 if ! $gl_gnulib_enabled_dosname; then
416 gl_gnulib_enabled_dosname=true
417 fi
418 }
419 func_gl_gnulib_m4code_euidaccess ()
420 {
421 if ! $gl_gnulib_enabled_euidaccess; then
422 gl_FUNC_EUIDACCESS
423 if test $HAVE_EUIDACCESS = 0; then
424 AC_LIBOBJ([euidaccess])
425 gl_PREREQ_EUIDACCESS
426 fi
427 gl_UNISTD_MODULE_INDICATOR([euidaccess])
428 gl_gnulib_enabled_euidaccess=true
429 if test $HAVE_EUIDACCESS = 0; then
430 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
431 fi
432 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
433 if test $HAVE_EUIDACCESS = 0; then
434 func_gl_gnulib_m4code_stat
435 fi
436 fi
437 }
438 func_gl_gnulib_m4code_getdtablesize ()
439 {
440 if ! $gl_gnulib_enabled_getdtablesize; then
441 gl_FUNC_GETDTABLESIZE
442 if test $HAVE_GETDTABLESIZE = 0 || test $REPLACE_GETDTABLESIZE = 1; then
443 AC_LIBOBJ([getdtablesize])
444 gl_PREREQ_GETDTABLESIZE
445 fi
446 gl_UNISTD_MODULE_INDICATOR([getdtablesize])
447 gl_gnulib_enabled_getdtablesize=true
448 fi
449 }
450 func_gl_gnulib_m4code_getgroups ()
451 {
452 if ! $gl_gnulib_enabled_getgroups; then
453 gl_FUNC_GETGROUPS
454 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
455 AC_LIBOBJ([getgroups])
456 fi
457 gl_UNISTD_MODULE_INDICATOR([getgroups])
458 gl_gnulib_enabled_getgroups=true
459 fi
460 }
461 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
462 {
463 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
464 AC_SUBST([LIBINTL])
465 AC_SUBST([LTLIBINTL])
466 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
467 fi
468 }
469 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
470 {
471 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
472 gl_FUNC_GROUP_MEMBER
473 if test $HAVE_GROUP_MEMBER = 0; then
474 AC_LIBOBJ([group-member])
475 gl_PREREQ_GROUP_MEMBER
476 fi
477 gl_UNISTD_MODULE_INDICATOR([group-member])
478 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
479 if test $HAVE_GROUP_MEMBER = 0; then
480 func_gl_gnulib_m4code_getgroups
481 fi
482 if test $HAVE_GROUP_MEMBER = 0; then
483 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
484 fi
485 fi
486 }
487 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7 ()
488 {
489 if ! $gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7; then
490 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=true
491 fi
492 }
493 func_gl_gnulib_m4code_pathmax ()
494 {
495 if ! $gl_gnulib_enabled_pathmax; then
496 gl_PATHMAX
497 gl_gnulib_enabled_pathmax=true
498 fi
499 }
500 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
501 {
502 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
503 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
504 fi
505 }
506 func_gl_gnulib_m4code_secure_getenv ()
507 {
508 if ! $gl_gnulib_enabled_secure_getenv; then
509 gl_FUNC_SECURE_GETENV
510 if test $HAVE_SECURE_GETENV = 0; then
511 AC_LIBOBJ([secure_getenv])
512 gl_PREREQ_SECURE_GETENV
513 fi
514 gl_STDLIB_MODULE_INDICATOR([secure_getenv])
515 gl_gnulib_enabled_secure_getenv=true
516 fi
517 }
518 func_gl_gnulib_m4code_stat ()
519 {
520 if ! $gl_gnulib_enabled_stat; then
521 gl_FUNC_STAT
522 if test $REPLACE_STAT = 1; then
523 AC_LIBOBJ([stat])
524 gl_PREREQ_STAT
525 fi
526 gl_SYS_STAT_MODULE_INDICATOR([stat])
527 gl_gnulib_enabled_stat=true
528 if test $REPLACE_STAT = 1; then
529 func_gl_gnulib_m4code_dosname
530 fi
531 if test $REPLACE_STAT = 1; then
532 func_gl_gnulib_m4code_pathmax
533 fi
534 fi
535 }
536 func_gl_gnulib_m4code_strtoll ()
537 {
538 if ! $gl_gnulib_enabled_strtoll; then
539 gl_FUNC_STRTOLL
540 if test $HAVE_STRTOLL = 0; then
541 AC_LIBOBJ([strtoll])
542 gl_PREREQ_STRTOLL
543 fi
544 gl_STDLIB_MODULE_INDICATOR([strtoll])
545 gl_gnulib_enabled_strtoll=true
546 fi
547 }
548 func_gl_gnulib_m4code_strtoull ()
549 {
550 if ! $gl_gnulib_enabled_strtoull; then
551 gl_FUNC_STRTOULL
552 if test $HAVE_STRTOULL = 0; then
553 AC_LIBOBJ([strtoull])
554 gl_PREREQ_STRTOULL
555 fi
556 gl_STDLIB_MODULE_INDICATOR([strtoull])
557 gl_gnulib_enabled_strtoull=true
558 fi
559 }
560 func_gl_gnulib_m4code_tempname ()
561 {
562 if ! $gl_gnulib_enabled_tempname; then
563 gl_FUNC_GEN_TEMPNAME
564 gl_gnulib_enabled_tempname=true
565 func_gl_gnulib_m4code_secure_getenv
566 fi
567 }
568 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
569 {
570 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
571 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
572 fi
573 }
574 if test $HAVE_FACCESSAT = 0; then
575 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
576 fi
577 if test $HAVE_FACCESSAT = 0; then
578 func_gl_gnulib_m4code_dosname
579 fi
580 if test $HAVE_FACCESSAT = 0; then
581 func_gl_gnulib_m4code_euidaccess
582 fi
583 if test $HAVE_FACCESSAT = 0; then
584 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
585 fi
586 if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
587 func_gl_gnulib_m4code_getdtablesize
588 fi
589 if test $HAVE_FDOPENDIR = 0; then
590 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
591 fi
592 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
593 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
594 fi
595 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
596 func_gl_gnulib_m4code_dosname
597 fi
598 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
599 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
600 fi
601 if test $REPLACE_GETOPT = 1; then
602 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
603 fi
604 if test $REPLACE_LSTAT = 1; then
605 func_gl_gnulib_m4code_dosname
606 fi
607 if test $REPLACE_LSTAT = 1; then
608 func_gl_gnulib_m4code_stat
609 fi
610 if test $HAVE_MKOSTEMP = 0; then
611 func_gl_gnulib_m4code_tempname
612 fi
613 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
614 func_gl_gnulib_m4code_stat
615 fi
616 if test $HAVE_READLINKAT = 0; then
617 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
618 fi
619 if test $HAVE_READLINKAT = 0; then
620 func_gl_gnulib_m4code_dosname
621 fi
622 if test $HAVE_READLINKAT = 0; then
623 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
624 fi
625 if { test $HAVE_DECL_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
626 func_gl_gnulib_m4code_strtoll
627 fi
628 if { test $HAVE_DECL_STRTOUMAX = 0 || test $REPLACE_STRTOUMAX = 1; } && test $ac_cv_type_unsigned_long_long_int = yes; then
629 func_gl_gnulib_m4code_strtoull
630 fi
631 m4_pattern_allow([^gl_GNULIB_ENABLED_])
632 AM_CONDITIONAL([gl_GNULIB_ENABLED_260941c0e5dc67ec9e87d1fb321c300b], [$gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b])
633 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
634 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
635 AM_CONDITIONAL([gl_GNULIB_ENABLED_getdtablesize], [$gl_gnulib_enabled_getdtablesize])
636 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
637 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
638 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
639 AM_CONDITIONAL([gl_GNULIB_ENABLED_03e0aaad4cb89ca757653bd367a6ccb7], [$gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7])
640 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
641 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
642 AM_CONDITIONAL([gl_GNULIB_ENABLED_secure_getenv], [$gl_gnulib_enabled_secure_getenv])
643 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
644 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
645 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
646 AM_CONDITIONAL([gl_GNULIB_ENABLED_tempname], [$gl_gnulib_enabled_tempname])
647 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
648 # End of code from modules
649 m4_ifval(gl_LIBSOURCES_LIST, [
650 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
651 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
652 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
653 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
654 exit 1
655 fi
656 done])dnl
657 m4_if(m4_sysval, [0], [],
658 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
659 ])
660 m4_popdef([gl_LIBSOURCES_DIR])
661 m4_popdef([gl_LIBSOURCES_LIST])
662 m4_popdef([AC_LIBSOURCES])
663 m4_popdef([AC_REPLACE_FUNCS])
664 m4_popdef([AC_LIBOBJ])
665 AC_CONFIG_COMMANDS_PRE([
666 gl_libobjs=
667 gl_ltlibobjs=
668 if test -n "$gl_LIBOBJS"; then
669 # Remove the extension.
670 sed_drop_objext='s/\.o$//;s/\.obj$//'
671 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
672 gl_libobjs="$gl_libobjs $i.$ac_objext"
673 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
674 done
675 fi
676 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
677 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
678 ])
679 gltests_libdeps=
680 gltests_ltlibdeps=
681 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
682 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
683 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
684 m4_pushdef([gltests_LIBSOURCES_LIST], [])
685 m4_pushdef([gltests_LIBSOURCES_DIR], [])
686 gl_COMMON
687 gl_source_base='tests'
688 changequote(,)dnl
689 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
690 changequote([, ])dnl
691 AC_SUBST([gltests_WITNESS])
692 gl_module_indicator_condition=$gltests_WITNESS
693 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
694 m4_pattern_allow([^gl_GNULIB_ENABLED_])
695 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
696 m4_ifval(gltests_LIBSOURCES_LIST, [
697 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
698 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
699 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
700 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
701 exit 1
702 fi
703 done])dnl
704 m4_if(m4_sysval, [0], [],
705 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
706 ])
707 m4_popdef([gltests_LIBSOURCES_DIR])
708 m4_popdef([gltests_LIBSOURCES_LIST])
709 m4_popdef([AC_LIBSOURCES])
710 m4_popdef([AC_REPLACE_FUNCS])
711 m4_popdef([AC_LIBOBJ])
712 AC_CONFIG_COMMANDS_PRE([
713 gltests_libobjs=
714 gltests_ltlibobjs=
715 if test -n "$gltests_LIBOBJS"; then
716 # Remove the extension.
717 sed_drop_objext='s/\.o$//;s/\.obj$//'
718 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
719 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
720 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
721 done
722 fi
723 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
724 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
725 ])
726 LIBGNU_LIBDEPS="$gl_libdeps"
727 AC_SUBST([LIBGNU_LIBDEPS])
728 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
729 AC_SUBST([LIBGNU_LTLIBDEPS])
730 ])
731
732 # Like AC_LIBOBJ, except that the module name goes
733 # into gl_LIBOBJS instead of into LIBOBJS.
734 AC_DEFUN([gl_LIBOBJ], [
735 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
736 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
737 ])
738
739 # Like AC_REPLACE_FUNCS, except that the module name goes
740 # into gl_LIBOBJS instead of into LIBOBJS.
741 AC_DEFUN([gl_REPLACE_FUNCS], [
742 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
743 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
744 ])
745
746 # Like AC_LIBSOURCES, except the directory where the source file is
747 # expected is derived from the gnulib-tool parameterization,
748 # and alloca is special cased (for the alloca-opt module).
749 # We could also entirely rely on EXTRA_lib..._SOURCES.
750 AC_DEFUN([gl_LIBSOURCES], [
751 m4_foreach([_gl_NAME], [$1], [
752 m4_if(_gl_NAME, [alloca.c], [], [
753 m4_define([gl_LIBSOURCES_DIR], [lib])
754 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
755 ])
756 ])
757 ])
758
759 # Like AC_LIBOBJ, except that the module name goes
760 # into gltests_LIBOBJS instead of into LIBOBJS.
761 AC_DEFUN([gltests_LIBOBJ], [
762 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
763 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
764 ])
765
766 # Like AC_REPLACE_FUNCS, except that the module name goes
767 # into gltests_LIBOBJS instead of into LIBOBJS.
768 AC_DEFUN([gltests_REPLACE_FUNCS], [
769 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
770 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
771 ])
772
773 # Like AC_LIBSOURCES, except the directory where the source file is
774 # expected is derived from the gnulib-tool parameterization,
775 # and alloca is special cased (for the alloca-opt module).
776 # We could also entirely rely on EXTRA_lib..._SOURCES.
777 AC_DEFUN([gltests_LIBSOURCES], [
778 m4_foreach([_gl_NAME], [$1], [
779 m4_if(_gl_NAME, [alloca.c], [], [
780 m4_define([gltests_LIBSOURCES_DIR], [tests])
781 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
782 ])
783 ])
784 ])
785
786 # This macro records the list of files which have been installed by
787 # gnulib-tool and may be removed by future gnulib-tool invocations.
788 AC_DEFUN([gl_FILE_LIST], [
789 build-aux/snippet/_Noreturn.h
790 build-aux/snippet/arg-nonnull.h
791 build-aux/snippet/c++defs.h
792 build-aux/snippet/warn-on-use.h
793 lib/acl-errno-valid.c
794 lib/acl-internal.h
795 lib/acl.h
796 lib/acl_entries.c
797 lib/alloca.in.h
798 lib/allocator.c
799 lib/allocator.h
800 lib/at-func.c
801 lib/binary-io.c
802 lib/binary-io.h
803 lib/byteswap.in.h
804 lib/c-ctype.c
805 lib/c-ctype.h
806 lib/c-strcase.h
807 lib/c-strcasecmp.c
808 lib/c-strncasecmp.c
809 lib/careadlinkat.c
810 lib/careadlinkat.h
811 lib/close-stream.c
812 lib/close-stream.h
813 lib/count-one-bits.c
814 lib/count-one-bits.h
815 lib/count-trailing-zeros.c
816 lib/count-trailing-zeros.h
817 lib/dirent.in.h
818 lib/dosname.h
819 lib/dtoastr.c
820 lib/dtotimespec.c
821 lib/dup2.c
822 lib/errno.in.h
823 lib/euidaccess.c
824 lib/execinfo.c
825 lib/execinfo.in.h
826 lib/faccessat.c
827 lib/fcntl.c
828 lib/fcntl.in.h
829 lib/fdatasync.c
830 lib/fdopendir.c
831 lib/file-has-acl.c
832 lib/filemode.c
833 lib/filemode.h
834 lib/fpending.c
835 lib/fpending.h
836 lib/fstatat.c
837 lib/fsync.c
838 lib/ftoastr.c
839 lib/ftoastr.h
840 lib/getdtablesize.c
841 lib/getgroups.c
842 lib/getloadavg.c
843 lib/getopt.c
844 lib/getopt.in.h
845 lib/getopt1.c
846 lib/getopt_int.h
847 lib/gettext.h
848 lib/gettime.c
849 lib/gettimeofday.c
850 lib/group-member.c
851 lib/intprops.h
852 lib/inttypes.in.h
853 lib/lstat.c
854 lib/md5.c
855 lib/md5.h
856 lib/memrchr.c
857 lib/mkostemp.c
858 lib/mktime-internal.h
859 lib/mktime.c
860 lib/openat-priv.h
861 lib/openat-proc.c
862 lib/openat.h
863 lib/pathmax.h
864 lib/pipe2.c
865 lib/pselect.c
866 lib/pthread_sigmask.c
867 lib/putenv.c
868 lib/qcopy-acl.c
869 lib/qset-acl.c
870 lib/readlink.c
871 lib/readlinkat.c
872 lib/root-uid.h
873 lib/secure_getenv.c
874 lib/sha1.c
875 lib/sha1.h
876 lib/sha256.c
877 lib/sha256.h
878 lib/sha512.c
879 lib/sha512.h
880 lib/sig2str.c
881 lib/sig2str.h
882 lib/signal.in.h
883 lib/stat-time.c
884 lib/stat-time.h
885 lib/stat.c
886 lib/stdalign.in.h
887 lib/stdarg.in.h
888 lib/stdbool.in.h
889 lib/stddef.in.h
890 lib/stdint.in.h
891 lib/stdio.in.h
892 lib/stdlib.in.h
893 lib/strftime.c
894 lib/strftime.h
895 lib/string.in.h
896 lib/strtoimax.c
897 lib/strtol.c
898 lib/strtoll.c
899 lib/strtoul.c
900 lib/strtoull.c
901 lib/strtoumax.c
902 lib/symlink.c
903 lib/sys_select.in.h
904 lib/sys_stat.in.h
905 lib/sys_time.in.h
906 lib/tempname.c
907 lib/tempname.h
908 lib/time.in.h
909 lib/time_r.c
910 lib/timespec-add.c
911 lib/timespec-sub.c
912 lib/timespec.c
913 lib/timespec.h
914 lib/u64.c
915 lib/u64.h
916 lib/unistd.c
917 lib/unistd.in.h
918 lib/unsetenv.c
919 lib/utimens.c
920 lib/utimens.h
921 lib/verify.h
922 lib/xalloc-oversized.h
923 m4/00gnulib.m4
924 m4/acl.m4
925 m4/alloca.m4
926 m4/byteswap.m4
927 m4/c-strtod.m4
928 m4/clock_time.m4
929 m4/close-stream.m4
930 m4/count-one-bits.m4
931 m4/count-trailing-zeros.m4
932 m4/dirent_h.m4
933 m4/dup2.m4
934 m4/environ.m4
935 m4/errno_h.m4
936 m4/euidaccess.m4
937 m4/execinfo.m4
938 m4/extensions.m4
939 m4/extern-inline.m4
940 m4/faccessat.m4
941 m4/fcntl-o.m4
942 m4/fcntl.m4
943 m4/fcntl_h.m4
944 m4/fdatasync.m4
945 m4/fdopendir.m4
946 m4/filemode.m4
947 m4/fpending.m4
948 m4/fstatat.m4
949 m4/fsync.m4
950 m4/getdtablesize.m4
951 m4/getgroups.m4
952 m4/getloadavg.m4
953 m4/getopt.m4
954 m4/gettime.m4
955 m4/gettimeofday.m4
956 m4/gnulib-common.m4
957 m4/group-member.m4
958 m4/include_next.m4
959 m4/inttypes.m4
960 m4/largefile.m4
961 m4/longlong.m4
962 m4/lstat.m4
963 m4/manywarnings.m4
964 m4/md5.m4
965 m4/memrchr.m4
966 m4/mkostemp.m4
967 m4/mktime.m4
968 m4/multiarch.m4
969 m4/nocrash.m4
970 m4/off_t.m4
971 m4/pathmax.m4
972 m4/pipe2.m4
973 m4/pselect.m4
974 m4/pthread_sigmask.m4
975 m4/putenv.m4
976 m4/readlink.m4
977 m4/readlinkat.m4
978 m4/secure_getenv.m4
979 m4/setenv.m4
980 m4/sha1.m4
981 m4/sha256.m4
982 m4/sha512.m4
983 m4/sig2str.m4
984 m4/signal_h.m4
985 m4/socklen.m4
986 m4/ssize_t.m4
987 m4/st_dm_mode.m4
988 m4/stat-time.m4
989 m4/stat.m4
990 m4/stdalign.m4
991 m4/stdarg.m4
992 m4/stdbool.m4
993 m4/stddef_h.m4
994 m4/stdint.m4
995 m4/stdio_h.m4
996 m4/stdlib_h.m4
997 m4/strftime.m4
998 m4/string_h.m4
999 m4/strtoimax.m4
1000 m4/strtoll.m4
1001 m4/strtoull.m4
1002 m4/strtoumax.m4
1003 m4/symlink.m4
1004 m4/sys_select_h.m4
1005 m4/sys_socket_h.m4
1006 m4/sys_stat_h.m4
1007 m4/sys_time_h.m4
1008 m4/tempname.m4
1009 m4/time_h.m4
1010 m4/time_r.m4
1011 m4/timer_time.m4
1012 m4/timespec.m4
1013 m4/tm_gmtoff.m4
1014 m4/unistd_h.m4
1015 m4/utimbuf.m4
1016 m4/utimens.m4
1017 m4/utimes.m4
1018 m4/warn-on-use.m4
1019 m4/warnings.m4
1020 m4/wchar_t.m4
1021 ])